export declare type GrabParams = Omit<RequestInit, "method" | "body"> & {
    method?: string;
    body?: any;
    query?: Record<string, any>;
};
export declare type GrabFunction = (url: string, params: GrabParams) => Promise<any>;
export declare type FetchFunction = (url: RequestInfo, init?: RequestInit) => Promise<Response>;
export declare type Grab = {
    (): GrabFunction;
    setup: (opts: {
        fetch: FetchFunction;
    }) => void;
    __fetchImpl?: FetchFunction;
};
export declare class GrabResponseError extends Error {
    response: object;
    request: object;
    constructor(message: string, response: object, request: object);
}
export declare function tryJson(res: any): any;
declare const grab: Grab;
export { grab };
export default grab;
